#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <shlwapi.h>
#include <tchar.h>
#include <stdio.h>

#define SIZEOF(_v)  (sizeof(_v) / sizeof(*(_v)))

int main()
{
    TCHAR szBuf[256];

    StrFormatByteSize(0, szBuf, SIZEOF(szBuf));
    _putts(szBuf);

    StrFormatByteSize(100, szBuf, SIZEOF(szBuf));
    _putts(szBuf);

    StrFormatByteSize(1024, szBuf, SIZEOF(szBuf));
    _putts(szBuf);

    StrFormatByteSize(1024*1024, szBuf, SIZEOF(szBuf));
    _putts(szBuf);

    StrFormatByteSize(1024*1024*1024, szBuf, SIZEOF(szBuf));
    _putts(szBuf);

    return 0;
}
